configs/nitrogen6*: update to use genimage
authorGary Bisson <gary.bisson@boundarydevices.com>
Sun, 31 Jan 2016 19:41:53 +0000 (20:41 +0100)
committerThomas Petazzoni <thomas.petazzoni@free-electrons.com>
Sun, 31 Jan 2016 20:03:55 +0000 (21:03 +0100)
Also updating the documentation with the dd instruction to flash the
bootable media.

Signed-off-by: Gary Bisson <gary.bisson@boundarydevices.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
board/boundarydevices/nitrogen6x/genimage.cfg [new file with mode: 0644]
board/boundarydevices/nitrogen6x/post-image.sh [new file with mode: 0755]
board/boundarydevices/nitrogen6x/readme.txt
configs/nitrogen6sx_defconfig
configs/nitrogen6x_defconfig

diff --git a/board/boundarydevices/nitrogen6x/genimage.cfg b/board/boundarydevices/nitrogen6x/genimage.cfg
new file mode 100644 (file)
index 0000000..7a5e71e
--- /dev/null
@@ -0,0 +1,16 @@
+image sdcard.img {
+       hdimage {
+       }
+
+       partition u-boot {
+               in-partition-table = "no"
+               image = "u-boot.imx"
+               offset = 1024
+       }
+
+       partition rootfs {
+               partition-type = 0x83
+               image = "rootfs.ext4"
+               size = 512M
+       }
+}
diff --git a/board/boundarydevices/nitrogen6x/post-image.sh b/board/boundarydevices/nitrogen6x/post-image.sh
new file mode 100755 (executable)
index 0000000..9cca1b1
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+BOARD_DIR="$(dirname $0)"
+GENIMAGE_CFG="${BOARD_DIR}/genimage.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+rm -rf "${GENIMAGE_TMP}"
+
+genimage                           \
+       --rootpath "${TARGET_DIR}"     \
+       --tmppath "${GENIMAGE_TMP}"    \
+       --inputpath "${BINARIES_DIR}"  \
+       --outputpath "${BINARIES_DIR}" \
+       --config "${GENIMAGE_CFG}"
+
+exit $?
index 8657be8d8018e32c69a8e21762a185fd490a620e..6c723f13dec8cfabce823c2af7175ff40d8afa37 100644 (file)
@@ -2,11 +2,11 @@ Buildroot for Boundary Devices Nitrogen6X:
 
 http://boundarydevices.com/products/nitrogen6x-board-imx6-arm-cortex-a9-sbc/
 
-To install, simply write rootfs.ext2 to the first partition of a uSD card:
+To install, simply copy the image to a uSD card:
 
-sudo dd if=output/images/rootfs.ext2 of=/dev/sdX1
+sudo dd if=output/images/sdcard.img of=/dev/sdX
 
-Where 'sdX1' is the device node of the uSD partition.
+Where 'sdX' is the device node of the uSD partition.
 
 To upgrade u-boot, cancel autoboot and type:
 
index 367079885de18c9f77c4a4e37bc8c139ed38bfd6..70e637686a7d87449168eabc9c0af3578d83d961 100644 (file)
@@ -6,11 +6,13 @@ BR2_cortex_a9=y
 BR2_TARGET_GENERIC_GETTY=y
 BR2_TARGET_GENERIC_GETTY_PORT="ttymxc0"
 BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/nitrogen6x/post-build.sh"
+BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/nitrogen6x/post-image.sh"
+BR2_PACKAGE_HOST_GENIMAGE=y
 BR2_PACKAGE_HOST_UBOOT_TOOLS=y
 
 # filesystem
 BR2_TARGET_ROOTFS_EXT2=y
-BR2_TARGET_ROOTFS_EXT2_2r1=y
+BR2_TARGET_ROOTFS_EXT2_4=y
 
 # Lock headers to match kernel
 BR2_KERNEL_HEADERS_VERSION=y
index 979bf090ddc502225870c9b642a0e082a9f204e0..af4a187cf96d5b3910524846b1d0ebbebbd9daae 100644 (file)
@@ -6,11 +6,13 @@ BR2_cortex_a9=y
 BR2_TARGET_GENERIC_GETTY=y
 BR2_TARGET_GENERIC_GETTY_PORT="ttymxc1"
 BR2_ROOTFS_POST_BUILD_SCRIPT="board/boundarydevices/nitrogen6x/post-build.sh"
+BR2_ROOTFS_POST_IMAGE_SCRIPT="board/boundarydevices/nitrogen6x/post-image.sh"
+BR2_PACKAGE_HOST_GENIMAGE=y
 BR2_PACKAGE_HOST_UBOOT_TOOLS=y
 
 # filesystem
 BR2_TARGET_ROOTFS_EXT2=y
-BR2_TARGET_ROOTFS_EXT2_2r1=y
+BR2_TARGET_ROOTFS_EXT2_4=y
 
 # Lock headers to match kernel
 BR2_KERNEL_HEADERS_VERSION=y